For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

HyperEVM quickstart

This quickstart guide will help you set up and make calls on HyperEVM using the Infura endpoint.

Prerequisites​

Ensure you have an API key with the HyperEVM network enabled.

Make calls​

curl​

Run the following command in your terminal, replacing <YOUR-API-KEY> with your actual Infura API key:

curl https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "method": "eth_blockNumber", "params": [], "id": 1}'

Node (JavaScript)​

In these examples, you'll use npm as your package manager.

Node Fetch​

  1. In your project folder, install the node-fetch package using npm:

    npm i node-fetch
  2. Create your JavaScript file and copy the following code:

    Replace <YOUR-API-KEY> with your actual Infura API key.

    index.js
    import fetch from 'node-fetch'

    fetch('https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY>', {
    method: 'POST',
    headers: {
    'Content-Type': 'application/json',
    },
    body: JSON.stringify({
    jsonrpc: '2.0',
    method: 'eth_blockNumber',
    params: [],
    id: 1,
    }),
    })
    .then(response => response.json())
    .then(data => {
    console.log(data)
    })
    .catch(error => {
    console.error(error)
    })
  3. Run the code using the following command:

    node index.js

Axios​

  1. In your project folder, install the axios package using npm:

    npm i axios
  2. Create your JavaScript file and copy the following code:

    Replace <YOUR-API-KEY> with your actual Infura API key.

    index.js
    const axios = require('axios')

    axios
    .post('https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY>', {
    jsonrpc: '2.0',
    method: 'eth_blockNumber',
    params: [],
    id: 1,
    })
    .then(response => {
    console.log(response.data)
    })
    .catch(error => {
    console.error(error)
    })
  3. Run the code using the following command:

    node index.js

Python​

  1. In your project folder, install the requests library:

    pip install requests
  2. Create your Python file and copy the following code:

    Replace <YOUR-API-KEY> with your actual Infura API key.

    index.py
    import requests
    import json

    url = "https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY>"

    payload = {
    "jsonrpc": "2.0",
    "method": "eth_blockNumber",
    "params": [],
    "id": 1
    }

    headers = {"content-type": "application/json"}

    response = requests.post(url, data=json.dumps(payload), headers=headers).json()

    print(response)
  3. Run the code using the following command:

    python index.py

Next steps​

Now that you have successfully made a call to HyperEVM mainnet, you can explore more JSON-RPC methods in the HyperEVM JSON-RPC API documentation.